.treecontrol {
    /* prevent user selection */
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;

    font-family: "Open Sans", Arial, Helvetica, sans-serif;
    font-size:16px;
    color: #555;
    text-decoration: none;
    display: block;

    /**
     * Each nested li adds its own padding, reduce the effect of the top-level li
     */
    margin-left: -3px;
}

.treecontrol ul {
    margin: 0;
    padding: 0;
    list-style: none;
    border: none;
    overflow: hidden;
}

.treecontrol li {
    position: relative;
    padding: 1px 0 1px 20px;
    line-height: 24px;
}

.treecontrol li .tree-label-content {
    cursor: pointer;
}

.treecontrol li .tree-label {
    display: inline;
}

.treecontrol .tree-selected {
    font-weight: bold;
}

.treecontrol .verified .tree-icon {
    color: green;
}

/* Whole row can be clicked instead of just tree label, row is highlighted on hover and select */
.treecontrol .tree-label .tree-label-content {
     display:block;
}

/* Show ellipsis for long node names */
.treecontrol span {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.treecontrol .tree-label span:hover {
    background:#F5F5F5; 
}

.treecontrol .tree-label span:active {
    background:#E7E7E7;
}

.treecontrol .tree-selected span {
    background-color:#EDEDED !important;
}

.treecontrol .head-control {
    float: left;
    font-size: 12px;
    width: 22px;
}

.treecontrol li .tree-branch-head {
    cursor: pointer;
}

.treecontrol li.tree-showall {
    font-size: 11px;
    cursor: pointer;
    padding-left: 50px;
}

.tree-label-content > button {
    outline: 0;
    border: 0;
    background: none;
    margin: 0;
    padding: 0;
    text-align: left;
    width: 100%;
}

/**
 * Prevent dragleave event from nested elements
 */
.tree-label-content * {
    pointer-events: none;
}

.tree-label-content.valid-drop {
    color: green;
    border: 1px solid green;
}

.tree-label-content.invalid-drop {
    color: red;
}

.tree-node-name {
    padding-left: 0.2em;
}
